/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.CheckPlanQuery;
import com.tofly.stocks.entity.CheckPlan;
import com.tofly.stocks.vo.CheckPlanVo;

/**
 * 库存盘点计划表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface CheckPlanService extends IService<CheckPlan> {
	

	Page<CheckPlanVo> getDataPage(Page page, CheckPlanQuery checkPlanQuery);
			
	Boolean saveCheckPlan(CheckPlan checkPlan) throws Exception;

	Boolean deleteByIds(String ids);

	Boolean editCheckPlan(CheckPlan checkPlan);
}